#import "AqServiceProvider.h"


@implementation AqServiceProvider

- (void) acquisitionSearch: (NSPasteboard*) pboard userData: (NSString*) userData error: (NSString**) error;
{
    NSString* string;
    string = [pboard stringForType: NSStringPboardType];

    if (string)
    {
        //NSDocumentController* controller = [NSDocumentController sharedDocumentController];
        //NSLog(@"string!!!");
        //NSLog(@"%@", [controller documents]);
        NSLog(string);
        //[controller newDocument: self];
        //if (![controller currentDocument])	NSLog(@"NO CURRENT DOC!!??!");
        //[[[controller documents] lastObject] triggerSearchWithString: string];
    } else {
        NSLog(@"no string!!!");
    }
}

@end